function functionApp
%FUNCTIONAPP popis aplikace

    % vytvoreni okna
    fig = uifigure;
    
    % nazev okna
    fig.Name = "Moje aplikace";
    
    % layout - Grid
    gl = uigridlayout(fig,[2 2]);
    
    % nastaveni velikosti
    % https://uk.mathworks.com/help/matlab/creating_guis/lay-out-apps-programmatically.html
    gl.RowHeight = {30,'1x'};
    gl.ColumnWidth = {'fit','1x'};
    
    % pridani komponent
    % https://uk.mathworks.com/help/matlab/creating_guis/choose-components-for-your-app-designer-app.html
    label  = uilabel(gl);
    slider = uislider(gl);
    axes = uiaxes(gl);
    
    % Nastaveni pozice
    % label
    label.Layout.Row = 1;
    label.Layout.Column = 1;
    % slider
    slider.Layout.Row = 2;
    slider.Layout.Column = 1;
    % axes
    axes.Layout.Row = [1 2];
    axes.Layout.Column = 2;
    
    % konfigurace komponent
    % label
    label.Text = "Vyber hodnotu:";
    % slider
    slider.Limits = [1, 5];
    slider.Orientation = 'vertical';
    slider.MajorTicks = 1:0.5:5;
    
    % callback
    % https://uk.mathworks.com/help/matlab/creating_guis/write-callbacks-for-apps-created-programmatically.html
    function SliderValueChanged(app,event,axes)
      hodnota = event.Value; % Current slider value
      x = -50 : 50;
      y = x.^hodnota;
      plot(x,y,"Parent",axes);  
    end

    % pridani callback slideru
    slider.ValueChangedFcn = {@SliderValueChanged,axes};
    
    % startup chování
    x = -50 : 50;
    y = x.^1;
    plot(x,y,"Parent",axes);

end

